#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

void setResetProp(const char *prop, const char *value)
{
    char command[128];
    sprintf(command, "resetprop -n %s %s", prop, value);
    system(command);
}

int main()
{
    if (access("/data/adb/modules/SurfaceFlinger", F_OK) == 0)
    {
        setResetProp("debug.sf.early_app_phase_offset_ns", "500000");
        setResetProp("debug.sf.early_gl_app_phase_offset_ns", "15000000");
        setResetProp("debug.sf.early_gl_phase_offset_ns", "3000000");
        setResetProp("debug.sf.early_phase_offset_ns", "500000");
        setResetProp("debug.sf.high_fps_early_gl_phase_offset_ns", "650000");
        setResetProp("debug.sf.high_fps_early_phase_offset_ns", "6100000");
        setResetProp("debug.sf.high_fps_late_app_phase_offset_ns", "100000");
        setResetProp("debug.sf.phase_offset_threshold_for_next_vsync_ns", "6100000");
        setResetProp("debug.sf.showbackground", "0");
        setResetProp("debug.sf.showcpu", "0");
        setResetProp("debug.sf.showfps", "0");
        setResetProp("debug.sf.showupdates", "0");
        setResetProp("ro.surface_flinger.force_hwc_copy_for_virtual_displays", "true");
        setResetProp("ro.surface_flinger.has_wide_color_display", "true");
        setResetProp("ro.surface_flinger.max_virtual_display_dimension", "4096");
        setResetProp("ro.surface_flinger.protected_contents", "true");
        setResetProp("ro.surface_flinger.running_without_sync_framework", "true");
        setResetProp("ro.surface_flinger.use_color_management", "true");
    }
    return 0;
}